import { FormGroup } from '@angular/forms';
import { ProcessService } from '../../services/process.service';
import { Task } from '../../models';
import { DGSNotificationService } from '@dotgov/core';
/**
 * @Author [GrigoreMe](https://github.com/grigoreme)
 */
export declare class FormApi {
    private _form;
    private _process;
    private _task;
    private _notificationService;
    constructor(_form: FormGroup, _process: ProcessService, _task: Task, _notificationService: DGSNotificationService);
    init(): this;
    get valid(): boolean;
    get invalid(): boolean;
    get form(): FormGroup;
    get task(): Task;
    get gridData(): any;
    get info(): any;
    get success(): any;
    get warning(): any;
    get error(): any;
    get setReadOnly(): any;
    get getValue(): any;
    get setValue(): any;
    get focus(): any;
    get hideField(): any;
    get showField(): any;
    get setRequired(): any;
    get setMaxLength(): any;
    get setMinDate(): any;
    get setMaxDate(): any;
    get setPattern(): any;
    get clearValue(): any;
    get getControl(): any;
    get getTaskControl(): any;
    get onChange(): any;
    get onLookupChange(): any;
    get onGridChange(): any;
    get toggleSection(): any;
    get clickFormBtn(): any;
    getLookupValue(referenceName: string, fieldstoReturn?: string[]): Promise<any>;
    private get _valid();
    private get _invalid();
    private _gridData;
    private _notify;
    private _getValue;
    private _setValue;
    private _focus;
    private _hideField;
    private _showField;
    private _toggleSection;
    private _setRequired;
    private _setReadOnly;
    private _setMinDate;
    private _setMaxDate;
    private _setPattern;
    private _setMaxLength;
    private _clearValue;
    private _getControl;
    private _getTaskControl;
    private _onChange;
    private _getHtmlControl;
    private _clickFormBtn;
    private _controlData;
}
